package xtools.boot.api.enums;

/**
 * <p>Title : ThreadType</p>
 * <p>Description : ThreadType</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/1/6 16:44
 */
public enum ThreadType implements BaseEnum {

    // 主线程
    MAIN(0, "主线程"),
    // 子线程
    THREAD(1, "子线程");

    /**
     * 编码
     */
    private final int code;

    /**
     * 说明
     */
    private final String desc;

    /**
     * 构造函数
     *
     * @param code 编码
     * @param desc 说明
     */
    ThreadType(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    /**
     * 获取所有枚举
     *
     * @return 所有枚举
     */
    @Override
    public BaseEnum[] all() {
        return values();
    }

    /**
     * 获取枚举编码
     *
     * @return 枚举编码
     */
    @Override
    public int code() {
        return code;
    }

    /**
     * 获取枚举说明
     *
     * @return 枚举说明
     */
    @Override
    public String desc() {
        return desc;
    }
}